Name:           sk2py
Version:        0.1
Release:        1%{?dist}
Summary:        Migrates Cadence Skill based PCells to Python PyCells

Group:          Applications/Engineering
License:        GPLv2

URL:            http://sk2py.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sk2py/%{name}.zip
Source1:        %{name}.desktop
Source2:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel desktop-file-utils
Requires:       wxPython electronics-menu

%description
Sk2Py is an wxPython-based IDE which assists in the migration
of Cadence Skill(tm)-based PCells to Python PyCells for use 
in all Open Access environments.

Sk2Py is listed as a Fedora Electronic Lab (FEL) application.

%prep
%setup -q -n %{name}

# wrong-file-end-of-line-encoding
%{__sed} -i 's/\r//' NCSUpcells/*.il
%{__sed} -i 's/\r//' UTpcells/*.il

# Executable
echo "#!/bin/bash" > %{name}
echo "python %{_datadir}/%{name}/%{name}gui.py" >> %{name}

%build

%install
%{__rm} -rf %{buildroot}

install -d               \
  %{buildroot}%{_bindir} \
  %{buildroot}%{_datadir}/%{name}/Plex \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/

install -pm 0755 %{name} %{buildroot}%{_bindir}

install -pm 0644 *.py %{buildroot}%{_datadir}/%{name}
%{__python} *.py install --skip-build --root %{buildroot}

install -pm 0644 Plex/*.py  %{buildroot}%{_datadir}/%{name}/Plex
%{__python} Plex/*.py install --skip-build --root %{buildroot}

install -pm 0644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/

desktop-file-install --vendor=fedora         \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category "Electronics"               \
  %{SOURCE1}
  

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc NCSUpcells/
%doc UTpcells/
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Sat Jun 07 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.1-1
- Initial Package
